#!/usr/bin/env ruby
# coding: utf-8

def matsu(nokori)
  while nokori>0
    sleep(3)
    nokori-=1
  end
end

def hiita()
  puts"くじを引きました！"
  puts"どれどれ､､､"
  kuzi=[
    "大吉です！やったー!!自分を信じて行動するのみ！",
    "中吉です！いいことあるかも？挑戦することが大事！",
    "吉です！ラッキー！積極的に行動してみよう！",
    "小吉です！頑張った分だけいいことあるよ！",
    "末吉です！忘れ物に注意！小さな幸せを見つけよう。",
    "凶です！失敗してもくじけずにtry！",
    "大凶です､､､残念、頑張ろう！"]
  chusen=rand(kuzi.length)
  printf(kuzi[chusen])
end

while true
  puts"おみくじスタート！"
  matsu(1)
  puts"ｶﾞﾗｶﾞﾗｶﾞﾗｶﾞﾗ"
  matsu(2)
  puts"ﾃﾞﾃﾞﾝ!"
  matsu(1)
  hiita
  puts"もう一度やりますか？"
  print"yesかnoで答えてください:"
  kotae=gets.chomp
  if kotae=="yes"
    redo
  else
    break
  end
end
